/********************************************************************************
	Title	: clock.h
	Author	: Matthias Reis <mail@mreis.de>
	Date	: 27.04.2004
	Purpose	: Zeit/Datumsgrenzen bercksichtigen
	Software: AVR-GCC with GNU binutils to compile, assemble and link needed
	Hardware: ATMega8 at 8 Mhz
********************************************************************************/

#ifndef clock_H
#define clock_H

struct time {
	u8 moon;				//Mond (0:Neumond - 11:Vollmond - 21:Neumond (-1))
	u8 second;
	u8 minute;
	u8 hour;
	u8 day;
	u8 wday;				//Wochentag
	u8 month;
	u8 year;
};

extern struct time clock;
extern u8 mTage[];

u8 istSchaltjahr(u16 jahr);
u16 anzSchaltJahre(u16 jahr);
u16 dayDiff(u8 tag1, u8 monat1, u16 jahr1,u8 tag2, u8 monat2, u16 jahr2);
void setDay(void);
void incSec(void);

#endif
