/********************************************************************************
	Title:    Init.h
	Author:   Matthias Reis <mail@mreis.de>, basiert auf den Routinen von Peter Dannegger
	Date:     27.04.2004
	Purpose:  Dekodierung des DCF77-Signals
	Software: AVR-GCC with GNU binutils to compile, assemble and link needed
	Hardware: ATMega8 at 8 Mhz
********************************************************************************/

#ifndef DCF77_H
#define DCF77_H

//DCF77 ******************************************************************
extern u8 dcf77_period;		//DCF77-Pause
extern u8 dcf77_pulse;		//DCF77-Pulse

#define DCF77_BITSET_LO 15	//Low-grenze fr DCF77 pulse =1 (200ms)
#define DCF77_BITSET_HI 25

#define DCF77_BITCLR_LO 8	//Low-grenze fr DCF77 pulse =0 (100ms)
#define DCF77_BITCLR_HI 15

#define DCF77_PERIOD_LO 180	//Minutenbeginn (2s)
#define DCF77_PERIOD_HI 200

#define DCF77_ERROR_LO 90	//Fehler (1s)
#define DCF77_ERROR_HI 105
//DCF77 ******************************************************************

extern u8 dcf77error;
void scan_dcf77( void );

#endif
