/********************************************************************************
	Title:    Keys.c
	Author:   Matthias Reis <mail@mreis.de>
	Date:     27.04.2004
	Purpose:  Tastaturabfragen fr die GrossUhr
	Software: AVR-GCC with GNU binutils to compile, assemble and link needed
	Hardware: ATMega8 at 8 Mhz
********************************************************************************/

#include <avr/io.h>
#include <avr/interrupt.h>
#include <avr/signal.h>
#include <inttypes.h> 
#include "Types.h"
#include "Main.h"
#include "Keys.h"

void Debounce(void)
{

	u8 i;
	
	//Debounce
	for(i=0;i<255;i++);		
	flKeyLatency=KEY_LATENCY;
			
}

/***************************************************************************************************

Function		: Keypressed

Parameter In	: -
Parameter Out	: gedrckte Taste

Description		: liefert die gedrckte Taste zurck, mit Repeatfunktionalitt

Date			: MR .04.2004

****************************************************************************************************/

u8 KeyPressed(void)
{
	static u8 key_pressed=0;
	
	if (!key_pressed)	//Also keine Taste ist gedrckt
	{
		if (bit_is_clear(PINC,T1))	//Taste gedrckt?
		{
			Debounce();
			key_pressed=1;
			return key_pressed;
		}
		if (bit_is_clear(PINC,T2))	//Taste gedrckt?
		{
			Debounce();
			key_pressed=2;
			return key_pressed;
		}
		if (bit_is_clear(PINC,T3))	//Taste gedrckt?
		{
			Debounce();
			key_pressed=3;
			return key_pressed;
		}
	}
	else
	{
		if (bit_is_set(PINC,T1) && key_pressed==1) 	//Taste losgelassen?
		{
			flKeyLatency=0;
			key_pressed=0;
		}
		if (bit_is_set(PINC,T2) && key_pressed==2)	//Taste losgelassen?
		{
			flKeyLatency=0;
			key_pressed=0;
		}
		if (bit_is_set(PINC,T3) && key_pressed==3)	//Taste losgelassen?
		{
			flKeyLatency=0;
			key_pressed=0;
		}	
	}
	
	if (key_pressed && flKeyLatency==0)			//Repeatfunktionalitt
	{
		flKeyLatency=KEY_REPEAT;
		return key_pressed;
	}
	else
		return 0;
}

